Bug 1025650 - [abrt] dnf-0.4.6-1.fc20: i18n.py:119:ucd:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe9' in position 51: ordinal not in range(128)
[abrt] dnf-0.4.6-1.fc20: i18n.py:119:ucd:UnicodeEncodeError: 'ascii' codec ca...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zdeněk Pavlas
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8fa28e4ace7c10e1b305bb07322...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 04:09 EDT by Kevin Raymond
Modified: 2014-02-02 17:29 EST (History)
7 users (show)

See Also:
Fixed In Version: dnf-0.4.7-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-16 02:11:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.47 KB, text/plain)
2013-11-01 04:09 EDT, Kevin Raymond
no flags Details
File: environ (2.09 KB, text/plain)
2013-11-01 04:09 EDT, Kevin Raymond
no flags Details

  None (edit)
Description Kevin Raymond 2013-11-01 04:09:43 EDT
Description of problem:
Removing all dnf dependencies with yum (as dnf was broken since last testing)
Installing dnf from testing rep to get this build: 
https://admin.fedoraproject.org/updates/FEDORA-2013-20406/dnf-0.4.6-1.fc20,libsolv-0.4.0-1.gitd49d319.fc20,librepo-1.3.0-1.fc20,hawkey-0.4.4-1.fc20

This error appear at dnf search xx

Version-Release number of selected component:
dnf-0.4.6-1.fc20

Additional info:
reporter:       libreport-2.1.9
cmdline:        /usr/bin/python /bin/dnf search lat
executable:     /bin/dnf
kernel:         3.11.6-301.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
i18n.py:119:ucd:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe9' in position 51: ordinal not in range(128)

Traceback (most recent call last):
  File "/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 277, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 133, in _main
    result, resultmsgs = cli.run()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1361, in run
    return self.command.doCommand(self.base.basecmd, self.base.extcmds)
  File "/usr/lib/python2.7/site-packages/dnf/cli/commands.py", line 1226, in doCommand
    return self.cli.search(extcmds)
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1421, in search
    _print_match_section(section_text, matched_needles)
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1390, in _print_match_section
    print(ucd(formatted))
  File "/usr/lib/python2.7/site-packages/dnf/i18n.py", line 119, in ucd
    return unicode(str(obj), _guess_encoding())
UnicodeEncodeError: 'ascii' codec can't encode character u'\xe9' in position 51: ordinal not in range(128)

Local variables in innermost frame:
obj: u'============================================ Non sp\xe9cifi\xe9, correspond \xe0\xa0: lat ============================================'
Comment 1 Kevin Raymond 2013-11-01 04:09:52 EDT
Created attachment 818168 [details]
File: backtrace
Comment 2 Kevin Raymond 2013-11-01 04:09:56 EDT
Created attachment 818169 [details]
File: environ
Comment 3 Kevin Raymond 2013-11-01 04:22:06 EDT
# echo $LANG
fr_FR.UTF-8

# LANG=C dnf search tor
is working.

But with local settings, it does not.

python-librepo-1.3.0-1.fc20.x86_64
python-hawkey-0.4.4-1.fc20.x86_64   
librepo-1.3.0-1.fc20.x86_64.rpm           
python-librepo-1.3.0-1.fc20.x86_64   
libsolv-0.4.0-1.gitd49d319.fc20.x86_64
dnf-0.4.6-1.fc20.noarch             
hawkey-0.4.4-1.fc20.x86_64
Comment 4 Zdeněk Pavlas 2013-11-01 06:47:13 EDT
Confirmed, thanks for reporting this!
Comment 5 Zdeněk Pavlas 2013-11-01 07:34:58 EDT
Fixed in commit a717373.
Comment 7 Fedora Update System 2013-11-11 08:43:57 EST
dnf-0.4.7-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.7-1.fc20
Comment 8 Fedora Update System 2013-11-11 19:40:28 EST
Package dnf-0.4.7-1.fc20, hawkey-0.4.5-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.4.7-1.fc20 hawkey-0.4.5-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21117/hawkey-0.4.5-1.fc20,dnf-0.4.7-1.fc20
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-11-16 02:11:05 EST
dnf-0.4.7-1.fc20, hawkey-0.4.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.